Skip to content
Documentation

Get Cluster (Observability)

v2
OpenAPI 3.1.0

ClusterNest API

To get started, generate an access token via the POST /auth/token endpoint below. Afterwards include the token as Bearer in the Authorization header of all requests. e.g. Authorization: Bearer <your_access_token>.

Server:https://api.clusternest.com
Client Libraries

observability

​

Get Cluster

​

Path Parameters

  • Integer numbers.

Responses

  • application/json
  • application/json
Request Example for get/cluster/observability/{cluster_id}
curl 'https://api.clusternest.com/cluster/observability/{cluster_id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": 1,
  "organization_id": 1,
  "name": "string",
  "tier": "basic",
  "state": "creating",
  "created_at": "2026-11-19T08:05:38.948Z",
  "updated_at": "2026-11-19T08:05:38.948Z",
  "maintenance_window": {
    "day_of_week": "monday",
    "start_time": "string",
    "end_time": "string"
  },
  "version": "2.43.1",
  "url": "string",
  "otel_url": "string",
  "custom_hostname": "string",
  "otel_custom_hostname": "string",
  "ip_allowlist": [
    "0.0.0.0/0",
    "::/0"
  ],
  "otel_ip_allowlist": [
    "0.0.0.0/0",
    "::/0"
  ],
  "retention_period": "30d",
  "auth_sources": [
    {
      "name": "string",
      "roles_key": "string",
      "roles_map": {
        "additionalProperty": "string"
      },
      "type": "oidc",
      "issuer_url": "string",
      "client_id": "string",
      "client_secret_set": false,
      "scope": "openid email profile"
    }
  ]
}